#!/bin/sh

# A script to create the installation ramdisk (initrd) for SUSE.
# This ramdisk image is used by XenMan to create new DomU's.
#
# To configure XenMan properly:
#
#     1. Ensure that the install-initrd package is installed.
#        (available on your OpenSUSE 10.1 installation media)
#
#     2. Execute the script
#        e.g. >./create_ramdisk-suse.sh /tmp/inst-initrd
#
#     3. Set the 'staging_path_ramdisk' property in your
#        xenman.conf to point to this new file.
#        e.g. staging_path_ramdisk = /tmp/inst-initrd
#   
#     4. Run XenMan and create a domain. 
#

if [ "$1" = "" ]; then
   echo "USAGE : $0 <dest filename>"
   exit 1
fi

/usr/sbin/mkinstallinitrd $1
if [ $? -ne 0 ]; then
  echo "ERROR: Could not create ramdisk $1."
  echo "Check:"
  echo "   1. the install-initrd rpm package is installed"
  echo "   2. you have permission to create $1"
  exit 1
fi
